<?php
/**
 *
 * @author  ahrasis http://smf.ahrasis.com
 * @license BSD http://opensource.org/licenses/BSD-3-Clause
 * @mod     DMOT: Default Menu On Top
 *
 */

if (!defined('SMF')) 
	die('Hacking attempt...');

function DMOT_Main()
{
	global $txt, $scripturl, $context, $modSettings, $settings, $user_info;
	
	// Load DMOT language
	loadLanguage('DMOT');

	// Add DMOT CSS
	if (!empty($modSettings['dmot_enable']) && !empty($modSettings['altmenu_replace_with_icon'])) {
		$context['html_headers'] .= '
	<link rel="stylesheet" type="text/css" href="' . $settings['default_theme_url']. '/css/DMOT.styles.css?fin20" />';
	} elseif (!empty($modSettings['dmot_enable'])) {
		$context['html_headers'] .= '
	<link rel="stylesheet" type="text/css" href="' . $settings['default_theme_url']. '/css/DMOT.styles2.css?fin20" />
	' . (!empty($modSettings['dmot_background']) || !empty($modSettings['dmot_active']) || !empty($modSettings['dmot_hover']) ? '<style type="text/css">' : '') . '
	' . (!empty($modSettings['dmot_background']) ? '#main_menu{background: ' . $modSettings['dmot_background'] . '; border-bottom: 2px solid ' . $modSettings['dmot_background_bottom'] . ';} #main_menu .dropmenu a.firstlevel{color: ' . $modSettings['dmot_background_font'] . '; }' : '') . '
	' . (!empty($modSettings['dmot_active']) ? '#main_menu .dropmenu li a.active, #main_menu .dropmenu li a.active span.firstlevel{background: ' . $modSettings['dmot_active'] . '; color: ' . $modSettings['dmot_active_font'] . ';}' : '') . '
	' . (!empty($modSettings['dmot_hover']) ? '#main_menu .dropmenu li a.firstlevel:hover, #main_menu .dropmenu li:hover a.firstlevel, #main_menu .dropmenu li a.firstlevel:hover span.firstlevel,
	#main_menu .dropmenu li:hover a.firstlevel span.firstlevel{background: ' . $modSettings['dmot_hover'] . '; color: ' . $modSettings['dmot_hover_font'] . ';}' : '') . '
	' . (!empty($modSettings['dmot_background']) || !empty($modSettings['dmot_active']) || !empty($modSettings['dmot_hover']) ? '</style>' : '') . '
	';
	}
}

function DMOT_Settings(&$config_vars)
{
	global $txt;
	
	// Load DMOT language
	loadLanguage('DMOT');

	$dmot = array(
			'',
			// Add DMOT Settings
			array('check', 'dmot_enable'),
			array('text', 'dmot_background'),
			array('text', 'dmot_background_bottom'),
			array('text', 'dmot_background_font'),
			array('text', 'dmot_active'),
			array('text', 'dmot_active_font'),
			array('text', 'dmot_hover'),
			array('text', 'dmot_hover_font'),
	);
	// Insert DMOT after all available slice.
	$first = array_slice($config_vars, 0);
	$config_vars = array_merge($first, $dmot);
}

?>